TIMEOUT(1)

NOM
timeout - Exécuter une commande avec une limite de temps

SYNOPSIS
timeout [OPTION] DURÉE COMMANDE [PARAM]...
timeout [OPTION]

DESCRIPTION

Lancer COMMANDE et la tuer si elle est toujours en cours après la DURÉE indiquée.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

--preserve-status

    Renvoyer le même état de fin d'exécution que COMMANDE, même si celle-ci

    dépasse le temps imparti

--foreground

    Quand timeout n'est pas exécuté depuis un interpréteur de commande,

    permettre à COMMANDE de lire depuis le terminal (TTY) et de recevoir des signaux du terminal. Avec cette option, les processus fils de COMMANDE ne seront pas limités dans le temps comme l'est COMMANDE.

-k, --kill-after=DURÉE

    envoyer aussi un signal KILL si la COMMANDE est toujours en cours

    une fois la DURÉE écoulée après l’envoi du signal initial

-s, --signal=SIGNAL

    indiquer le signal à envoyer lors de l'expiration de la limite de temps.

    SIGNAL peut être un nom, comme « HUP », ou un numéro. Consultez « kill -l » pour une liste de signaux

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

DURÉE est un nombre à virgule flottante avec un suffixe optionnel, qui peut être « s » pour secondes (par défaut), « m » pour minutes, « h » pour heures ou « d » pour jours.

Si la commande dépasse le temps imparti et l'option --preserve-status n'est pas spécifiée, alors elle se termine avec l'état de fin d'exécution 124. Sinon l'état de fin d'exécution normal de la COMMANDE est renvoyé. Si aucun signal n'est indiqué, le signal TERM est envoyé en cas de dépassement du temps. Le signal TERM tue tous les processus qui ne bloquent ni n'attrapent ce signal. Pour les autres processus, il peut être nécessaire d'utiliser le signal KILL (9), puisque ce signal ne peut être attrapé. Si le signal KILL (9) est utilisé, l'état de fin d'exécution vaudra 128+9 à la place de 124.

BOGUES
Certaines plates-formes n'acceptent pas, pour le moment, de délais supérieurs à 2038

AUTEUR
Écrit par Padraig Brady.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction de timeout à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
kill(1)

Documentation complète : <http://www.gnu.org/software/coreutils/timeout>
aussi disponible localement à l’aide de la commande : info '(coreutils) timeout invocation'

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Julien Cristau <julien.cristau@ens-lyon.org> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.